<?php

namespace Modules\Partners\Corporates\Contacts;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::$resultsPerPageList
	 */
	protected $resultsPerPageList = [5, 10, 15, 20, 25, 30, 40, 50, 100];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		return ListingColumns::create()
			->append(
				ListingColumn::create('idCorporate')
			)
			->append(
				ListingColumn::create('idContactPerson')
			)
			->append(
				ListingColumn::create('contactDatetime') ->setSortable('DESC')
			)
			->append(
				ListingColumn::create('contactType')
			)
			->append(
				ListingColumn::create('topics')
			)
			->append(
				ListingColumn::create('description')
				->setInvisible(true)
			)
			->append(
				ListingColumn::create('idUser') ->setType('userLabel')
			)
			->append(
				ListingColumn::create('addTime') ->setSortable('DESC')->setType('datetime')
			)

		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}
}